> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-r/reference/parameter/parameterusdcreate.md).

# Parameter$create

### Parameter$<mark style="color:purple;">create</mark>(*\*, values=\[], type=NULL*) → self

Creates a new parameter with the given values.

### **Parameters:**

**`values` :&#x20;*****list*** \
Required. A list of values that will be stored in the parameter. Parameters cannot have more than 10,000 values.

**`type` :&#x20;*****str ("boolean"|"integer"|"float"|"string"|"date"|"dateTime"), default NULL***\
A string representing the parameter's type. Must be one of the standard Redivis types other than `geography`. The values specified must be compatible with the set type, otherwise an error will be throw. If no `type` is provided, the type will be inferred based on the values.

### **Returns**

**self (a** [**Parameter**](/api/client-libraries/redivis-r/reference/parameter.md)**)**

### Examples

```r
param <- redivis$parameter("username.workflow_name.my_param")
param$create(values=list("foo","bar"))
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/parameter/parameterusdcreate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
